NexObject Class Reference
Core API

Root class of all Nextion components. More...

`#include <NexObject.h>`

Inherited by NexGauge, NexProgressBar, NexTouch, and NexWaveform.

## Public Member Functions

| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

Root class of all Nextion components.

Provides the essential attributes of a Nextion component and the methods accessing them. At least, Page ID(pid), Component ID(pid) and an unique name are needed for creating a component in Nexiton library.

Definition at line 32 of file NexObject.h.

## Constructor & Destructor Documentation

NexObject::NexObject | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexObject.cpp.

## Member Function Documentation

void NexObject::printObjInfo | ( | void |  | ) |

Print current object'address, page id, component id and name.

Warning
  this method does nothing, unless debug message enabled.

Definition at line 39 of file NexObject.cpp.

The documentation for this class was generated from the following files:

- NexObject.h
- NexObject.cpp